-- =============================================
-- Author:		Caruso Fabrizio
-- Create date: 17/09/2014
-- Description:	
-- Cancellazione Segnalazioni/Scarti su tabella DATA QUALITY
-- =============================================
CREATE procedure [C6MartPeriodico].[SP_DQ_DeleteSegnalazioni_pre_selective]
@idFaseElaborazione int
AS
BEGIN
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'SP_DQ_DeleteSegnalazioni_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
if ( @idFaseElaborazione > 0 ) 
begin
  delete
  from   C6MartPeriodico.tb_SegnalazioniDataQuality
  where idFaseElaborazione =@idFaseElaborazione
end 
else 
  truncate table  C6MartPeriodico.tb_SegnalazioniDataQuality
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'UPDATE',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'SP_DQ_DeleteSegnalazioni_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'SP_DQ_DeleteSegnalazioni_pre_selective'
		)
end